<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rongwei.sfcommon.sys.dao.AspSpecialEquipmentCertificateDao">

    <select id="selectMyNoticeByType" resultType="com.rongwe.scentity.vo.SysNoticeVo">
        select *,GROUP_CONCAT(snau.RECIPIENTID) AS 'userIds'
         from sys_notify_announce sna
         LEFT JOIN sys_notify_announce_user snau ON snau.DELETED = 0 AND READSTATE = 2 AND sna.ID = snau.ANNOUNCEID
         where sna.DELETED = 0 AND sna.NOTIFYTYPE IN
         <foreach collection="typeList" separator="," open="(" close=")" item="item">
             #{item}
         </foreach>
         GROUP BY sna.NOTIFYCONTENT,sna.ROPTION
    </select>
</mapper>
